#!/usr/bin/ruby
# -*- coding: utf-8 -*-

#------ カルテ３号紙（入院）


require 'uri'
require 'net/http'
require 'json'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/xml"

req = Net::HTTP::Post.new("/api01rv2/karteno3hv2")

BODY = <<EOF 
<data>
<karte_no3_hv2req type ="record">
  <Request_Number type ="string">01</Request_Number>
  <Order_Class type ="string">1</Order_Class>
  <Patient_ID type ="string">1</Patient_ID>
  <Perform_Month type ="string">2018-07</Perform_Month>
  <Department_Code type ="string"></Department_Code>
  <Insurance_Combination_Number type ="string"></Insurance_Combination_Number>
  <Start_Day type ="string"></Start_Day>
  <Last_Page_Number type ="string"></Last_Page_Number>
  <Last_Row_Number type ="string"></Last_Row_Number></karte_no3_hv2req>
</data>
EOF

req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts JSON.pretty_generate(JSON.load(res.body))
}
